%define fname church
%define ttfdir %_datadir/fonts/default/TrueType-%fname

Name: %fname-fonts-ttf
Version: 20030330
Release: alt2

Summary: Free Church Slavonic TrueType fonts
Summary (ru_RU.UTF-8): Свободные церковно-славянские шрифты TrueType
License: Artistic
Group: System/Fonts/True type
Url: http://irmologion.narod.ru/
Source: %name.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides a free Church Slavonic TrueType fonts
from Irmologion project.

%description -l ru_RU.UTF-8
В этом пакете находятся церковно-славянские
шрифты TrueType проекта Ирмологион.

%prep
%setup -q -n %name

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -f %fname -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir

%files
%doc AUTHORS README ChangeLog
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir
%config %ttfdir/encodings.dir

%changelog
* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 20030330-alt2
- Changed dir
- Cleanups

* Thu Apr 03 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1
- first ALTLinux build
